#
# Conditional build:
%bcond_with	lmdb	# LMDB instead of BerkeleyDB
%bcond_with	openssl	# OpenSSL instead of GnuTLS

Summary:	Portable mail access library
Summary(pl.UTF-8):	Przenośna biblioteka dostępu do poczty
Name:		libetpan
Version:	1.9.4
Release:	1
License:	BSD
Group:		Libraries
Source0:	https://github.com/dinhviethoa/libetpan/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	66bc8ccb241123aa61d405a576763a44
Patch0:		%{name}-link.patch
Patch1:		%{name}-db.patch
Patch2:		%{name}-pc.patch
URL:		https://github.com/dinhviethoa/libetpan
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	cyrus-sasl-devel >= 2
%{!?with_lmdb:BuildRequires:	db-devel >= 4}
BuildRequires:	docbook-style-dsssl
BuildRequires:	expat-devel
%{!?with_openssl:BuildRequires:	gnutls-devel}
BuildRequires:	liblockfile-devel
BuildRequires:	libtool
%{?with_lmdb:BuildRequires:	lmdb-devel}
BuildRequires:	openjade
%{?with_openssl:BuildRequires:	openssl-devel}
BuildRequires:	pkgconfig
BuildRequires:	zlib-devel >= 1.2.0.4
Requires:	zlib >= 1.2.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The purpose of this mail library is to provide a portable, efficient
middleware for different kinds of mail access. It will be used for
low-level mail handling: network protocols (IMAP/NNTP/POP3/SMTP over
TCP/IP and SSL/TCP/IP, already implemented), local storage
(mbox/MH/maildir), message / MIME parser.

%description -l pl.UTF-8
Celem biblioteki jest udostępnienie przenośnego, efektywnego
pośrednika dla różnych metod dostępu do poczty. Pozwala na: obsługę
różnych protokołów sieciowych (IMAP/NNTP/POP3/SMTP przez TCP/IP oraz
SSL/TCP/IP), obsługę lokalnych zasobów (mbox/MH/maildir), a także
analizę wiadomości MIME.

%package devel
Summary:	Header files for libEtPan
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libEtPan
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	curl-devel
Requires:	cyrus-sasl-devel >= 2
%{!?with_lmdb:Requires:	db-devel >= 4}
Requires:	expat-devel
%{!?with_openssl:Requires:	gnutls-devel}
Requires:	liblockfile-devel
%{?with_lmdb:Requires:	lmdb-devel}
%{?with_openssl:Requires:	openssl-devel}
Requires:	zlib-devel >= 1.2.0.4

%description devel
Header files for libEtPan library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libEtPan.

%package static
Summary:	Static libEtPan library
Summary(pl.UTF-8):	Statyczna biblioteka libEtPan
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libEtPan library.

%description static -l pl.UTF-8
Statyczna biblioteka libEtPan.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-ipv6 \
%if %{without openssl}
	--with-gnutls \
	--without-openssl
%endif

%{__make}

%{__make} -C doc doc \
	DSL=%{_datadir}/sgml/docbook/dsssl-stylesheets/html/docbook.dsl

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libetpan.la

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT ChangeLog NEWS README.md
%attr(755,root,root) %{_libdir}/libetpan.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libetpan.so.20

%files devel
%defattr(644,root,root,755)
%doc doc/API/*.htm
%attr(755,root,root) %{_libdir}/libetpan.so
%{_includedir}/libetpan
%{_includedir}/libetpan.h
%{_pkgconfigdir}/libetpan.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libetpan.a
%changelog
* Thu May 14 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libetpan.git;a=log;h=master

* Thu May 14 2020 Jakub Bogusz <qboosh@pld-linux.org> 1102c95
- updated to 1.9.4; upstream replaced libetpan-config with libetpan.pc file
- added pc patch (move external Libs to Libs.pc, drop LDFLAGS from Libs)
- updated link patch to also drop outdated list of gnutls private libs from LIBS
- dropped .la file

* Sun Feb 17 2019 Jan Palus <atler@pld-linux.org> 1d14862
- follow major distributions and build with gnutls instead of openssl

* Sun Feb 17 2019 Jan Palus <atler@pld-linux.org> abb0f9b
- up to 1.9.3

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> cbffa19
- release 2 (by relup.sh)

* Fri Aug 05 2016 Jakub Bogusz <qboosh@pld-linux.org> dfb5102
- added db patch to cover db 6.1 and 6.2

* Fri Aug 05 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 7065a2a
- up to 1.7.2

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> bed1511
- x32 rebuild
- release 7 (by relup.sh)

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 198515c
- release 6 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 0e37866
- rebuild with expat 2.1.0
- release 5 (by relup.sh)

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> c52e01a
- rebuild to fix broken filedigests
- release 4 (by relup.sh)

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> e4b4115
- rebuild with fixed rpm macros
- release 3 (by relup.sh)

* Sat Sep 22 2012 Jakub Bogusz <qboosh@pld-linux.org> 1240539
- added link patch (fixes curl and expat detection with as-needed enforced)
- BR: liblockfile-devel
- release 2

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 2906668
- release 1

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 05b6df0
- soname changed

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> c253b45
- updated to 1.1
- fixed db 5.3 detection

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 4d5576c
- release 7 (by relup.sh)

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> b1dc400
- release 6 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> bab3759
- release 5

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> ffbace1
- Rebuild with DB 5.3
- release 4 (by relup.sh)

* Tue Jan 10 2012 lisu <lisu@pld-linux.org> 291ee29
- rel 3

